#include "NFC.h"
#include <SPI.h>

NFC::NFC(int pin_ss, int pin_rst, PubSubClient mqtt)
{
    SPI.begin();

    this->rfid = rfid(pin_ss, pin_rst);
    this->rfid.PCD_Init();
}

bool NFC::hasNewCard()
{
    return this->rfid.PICC_IsNewCardPresent() && this->rfid.PICC_ReadCardSerial()

}

void NFC::hasActiveOTA()
{
    return this->activOTA;
}

void NFC::startOTA()
{
    // TODO
}

void NFC::continueOTA()
{
    // TODO
}

void NFC::cancelOTA()
{
    
}