#ifndef CONFIG_H
#define CONFIG_H

struct Config_Data
{
    int ID = 0;
    
    char MQTT_Broker[256];
    char MQTT_Username[64];
    char MQTT_Password[64];
};

class Config {
    public:
        const char WLAN_SSID[32] = "FabReader";
        const char WLAN_Password[64] = "FabReader";             

        Config_Data Data;

        Config();
        Config(int ID, char broker[], char username[], char password[]);

        void Load();
        void Save();

        bool IsEmpty();
};
#endif