#ifndef NFC_H
#define NFC_H

#include <PubSubClient.h>
#include <MFRC522.h>

class NFC_H
{
    private:
        MFRC522 rfid;
        PubSubClient* mqtt;
        bool activOTA = false;

    public:
        NFC(int pin_ss, int pin_rst, PubSubClient* mqtt);
        bool hasNewCard();
        void hasActiveOTA();
        
        void startOTA();
        void continueOTA();
        void cancelOTA();
}

#endif